Skip to main content
Get patch envelope by name
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

name
string
required

User defined name of the patch envelope, unique across the enterprise. Once object is created, name can’t be changed

Response

A successful response.

PatchEnvelope is a proto that should be used by user-agents to create/update opaque data for application instances.

name
string
required

User defined name of the patch envelope, unique across the enterprise. Once patch envelope is created, name can’t be changed.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string
required

User defined title of the patch envelope. Title can be changed at any time.

Required string length: 3 - 256
Pattern: [a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+
action
enum<string>
default:PATCH_ENVELOPE_ACTION_UNSPECIFIED
required

Flag to represent whether device needs to present it to app instance

Available options:
PATCH_ENVELOPE_ACTION_UNSPECIFIED,
PATCH_ENVELOPE_ACTION_STORE,
PATCH_ENVELOPE_ACTION_ACTIVATE
artifacts
object[]
required

Patch envelope artifacts

id
string
read-only

System defined universally unique Id of the patch envelope.

Pattern: [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
description
string

Detailed description of the patch envelope.

Maximum string length: 256
revision
ObjectRevision is used to store the user information. · object

system defined info

userDefinedVersion
string

User defined version for the given patch envelope

projectId
string

project id

deviceCount
number<int64>

number of devices referencing this patch envelope

projectName
string

project name